fop 2.3

## org.apache.fop.util.text
Class ChoiceFieldPart

    java.lang.Object
      org.apache.fop.util.text.ChoiceFieldPart

    public class ChoiceFieldPart

extends java.lang.Object

Defines a "choice" field part that works like `ChoiceFormat`.

Nested Class Summary
`static class` `ChoiceFieldPart.Factory` Factory for ChoiceFieldPart.

Constructor Summary
`ChoiceFieldPart(java.lang.String fieldName, java.lang.String choicesPattern)` Creates a new choice part.

Method Summary
`boolean` `isGenerated(java.util.Map params)`
`java.lang.String` `toString()`
`void` `write(java.lang.StringBuffer sb, java.util.Map params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChoiceFieldPart

    public ChoiceFieldPart(java.lang.String fieldName,
                           java.lang.String choicesPattern)

  Creates a new choice part.

  Parameters:
    `fieldName` - the field name to work on
    `choicesPattern` - the choices pattern (as used by `ChoiceFormat`)

Method Detail

### isGenerated

    public boolean isGenerated(java.util.Map params)

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.